
QGIS Application - Bug report #19872

QGIS crashed after georeferencing

2018-09-17 10:41 PM - Eric Dorland, van

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:3.2.2 Regression?: No

Operating System: Windows 10 Home version: 10.0.17134 Build 17134Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27696

Description

User Feedback

Was georeferencing a .png file. Seems to go fine, untill I scrolled the main window at which point QGIS crashed. Has happened several

times, it is very annoying unfortunately.

I hope the Report makes some sense to you, is it a software problem, or has it got something to do with my hardware?

I'd very much like your opinion on this matter, since I'd like to continue working with QGIS and I'm getting just a bit frustrated at the

moment.

Thank you,

Kind regards,

Eric van Dorland

The Netherlands

P.S. I've included screenshot and a system report (.pdf)

Report Details

Crash ID: 2f89ccd1a7f378331bfab65d5c18fd0244e79bed

Stack Trace

memcpy :

VSICreateCachedFile :

GDALRegister_Terragen :

GDALRegister_Terragen :

GDALRegister_GTiff :

GDALRegister_GTiff :

GDALRasterBand::GetLockedBlockRef :

GDALRasterBand::IRasterIO :

GDALRegister_GTiff :

GDALRasterBand::RasterIO :

GDALWarpOperation::operator= :

GDALWarpOperation::operator= :

QgsMultiBandColorRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsRenderContext::segmentationToleranceType :
QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-09-18 05:01 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you share the png and gcp file? (and a screenshot of transformation parameters used?)

#2 - 2018-09-18 10:49 AM - Eric Dorland, van

- File Transformation parameters.jpg added

- File E4-1 WGN00 1832.png.points added

Nyall Dawson wrote:

Can you share the png and gcp file? (and a screenshot of transformation parameters used?)

Hello Nyall, I'd be happy to include them here, but the .png would exceed the the max. file size limit, as it is 79Mb. (I'm also using even larger .png files, up

to triple that size). I will put a WeTranser link here so you can download the .png etc there. What I can and will include here is the gcp file and a screenshot

of the transformation parameters used. The crash errors occur frequently with most of the files I georeference, whether .png, .jpg or .tif

.png file via WeTransfer: [[https://we.tl/t-mZwVmOns9p]]

Thank you for taking an interest,

Eric

#3 - 2018-09-18 07:57 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2018-10-23 09:28 AM - Regis Haubourg

- Category changed from Actions to C++ plugins/Georeferencer

#5 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback
https://we.tl/t-mZwVmOns9p


Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#6 - 2019-02-23 08:37 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

Files

QGIS crash screenshot.jpg 585 KB 2018-09-17 Eric Dorland, van

Speccy report - DESKTOP-THDC004.pdf 302 KB 2018-09-17 Eric Dorland, van

E4-1 WGN00 1832.png.points 4.7 KB 2018-09-18 Eric Dorland, van

Transformation parameters.jpg 134 KB 2018-09-18 Eric Dorland, van
